Subject: bug#56393: Actually fix the long lines display bug

From: Gerd Möllmann <[email-masked]>
Date: Tue, 05 Jul 2022 14:59:37 +0200

Gregory Heytings <[email-masked]> writes:

>>
>> I haven't tried your patch, but it sounds like it'd do the trick.
>>
>
> It does indeed, even with a 1GB long line.
>
>>
>> You could also use Fbuffer_line_statistics here, which I think
>> should be faster.
>>
>
> Thanks, this simplifies the patch a bit, see attached.

This is very nice, indeed.  I'll take a closer look at your patch in the
next days.  (I'm currently still in the process of getting Emacs to
better integrate with my M1 Mac, and it's kicking and screaming :-).)